
if [ ! -f $JONAS_ROOT/bin/unix/config_env ]
then
    echo "JONAS_ROOT must be set"
    exit 1
fi

. $JONAS_ROOT/bin/unix/config_env
CLASSES_DIR=$JONAS_ROOT/examples/classes

[ -d $CLASSES_DIR ] || mkdir $CLASSES_DIR

# Compiles the source files
javac -d $CLASSES_DIR customer/CustomerBean.java \
    customer/CustomerHomeRemote.java \
    customer/CustomerHomeLocal.java \
    customer/CustomerRemote.java \
    customer/CustomerLocal.java \
    Client.java \
    customer/Name.java

# Make the ejb-jar file
[ -d $CLASSES_DIR/META-INF ] || mkdir -p $CLASSES_DIR/META-INF
cp cmp2_0.xml $CLASSES_DIR/META-INF/ejb-jar.xml
cp jonas-cmp2_0.xml $CLASSES_DIR/META-INF/jonas-ejb-jar.xml
cd $CLASSES_DIR
jar cvf cmp2_0/cmp2_0.jar \
    META-INF/ejb-jar.xml \
    META-INF/jonas-ejb-jar.xml \
    cmp2_0/customer/CustomerBean.class \
    cmp2_0/customer/CustomerHomeLocal.class \
    cmp2_0/customer/CustomerHomeRemote.class \
    cmp2_0/customer/CustomerLocal.class \
    cmp2_0/customer/CustomerRemote.class \
    cmp2_0/customer/Name.class
rm -f META-INF/ejb-jar.xml META-INF/jonas-ejb-jar.xml

cd $JONAS_ROOT/examples/src/cmp2_0
# Generates the interposition classes, compiles them and put them in the ejb-jar file
GenIC -d $CLASSES_DIR -keepgenerated  $CLASSES_DIR/cmp2_0/cmp2_0.jar

# Install the ejb-jar file in $JONAS_ROOT/ejbjars directory
cp $CLASSES_DIR/cmp2_0/cmp2_0.jar $JONAS_ROOT/ejbjars
