
package cmp2_0.customer;

import cmp2_0.creditcard.CreditCardHomeLocal;
import cmp2_0.creditcard.CreditCardLocal;

import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.FinderException;
import javax.ejb.RemoveException;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public abstract class CustomerBean implements javax.ejb.EntityBean {

    // BUISINESS METHODS //
    //-------------------//

    public Name getName() {
        Name name = new Name(getLastName(), getFirstName());
        return name;
    }

    public void setName(Name name) {
        System.out.println("CustomerBean.setLastName('" + name.getLastName() + "')");
        setLastName(name.getLastName());
        System.out.println("CustomerBean.setFirstName('" + name.getFirstName() + "')");
        setFirstName(name.getFirstName());
    }

    public boolean HasGoodCredit() {
        return getHasGoodCredit();
    }

    public void assignHasGoodCredit(boolean flag) {
        setHasGoodCredit(flag);
    }

    public CreditCardLocal getCC() {
        return getCreditCard();
    }

    public Integer getCCId() {
        CreditCardLocal ccl = getCreditCard();
        return (ccl == null ? null : ccl.getId());
    }

    public String getCCNumber() {
        CreditCardLocal ccl = getCreditCard();
        return (ccl == null ? null : ccl.getNumber());
    }

    public Exception createCreditCard(Integer id, String number) {
        // lookup CreditCardHomeLocal
        CreditCardHomeLocal cchl = null;
        try {
            Context ictx = new InitialContext();
            cchl = (CreditCardHomeLocal) ictx.lookup("java:comp/env/ejb/creditcard");
        }
        catch (NamingException e) {
            System.out.println("CustomerBean : Cannot get CreditCardHomeLocal:" + e);
            return e;
        }
        CreditCardLocal ccl = null;
        try {
            ccl = cchl.create(id, number);
            System.out.println("CustomerBean.createCreditCard('" + id + "', '" + number + "'): ccl created=" + ccl);
        }
        catch (CreateException ce) {
            System.out.println("CustomerBean.createCreditCard('" + id + "', '" + number + "'): error:");
            ce.printStackTrace();
            return ce;
        }
        setCreditCard(ccl);
        return null;
    }

    public Exception assignCreditCard(Integer id) {
        System.out.println("assignCreditCard('" + id + "')");
        if (id == null) {
            setCreditCard(null);
            return null;
        }
        // lookup CreditCardHomeLocal
        CreditCardHomeLocal cchl = null;
        try {
            Context ictx = new InitialContext();
            cchl = (CreditCardHomeLocal) ictx.lookup("java:comp/env/ejb/creditcard");
        }
        catch (NamingException e) {
            System.out.println("CustomerBean : Cannot get CreditCardHomeLocal:" + e);
            return e;
        }
        CreditCardLocal ccl = null;
        try {
            ccl = cchl.findByPrimaryKey(id);
            System.out.println("CustomerBean.assignCreditCard('" + id + "'): ccl find=" + ccl);
        }
        catch (FinderException ce) {
            System.out.println("CustomerBean.assignCreditCard('" + id + "'): error:");
            ce.printStackTrace();
            return ce;
        }
        setCreditCard(ccl);
        return null;
    }

    public Exception assignCreditCard(CreditCardLocal ccl) {
        setCreditCard(ccl);
        return null;
    }

    // abstract accessor methods

    public abstract Integer getId();

    public abstract void setId(Integer id);

    public abstract String getLastName();

    public abstract void setLastName(String lname);

    public abstract String getFirstName();

    public abstract void setFirstName(String fname);

    public abstract boolean getHasGoodCredit();

    public abstract void setHasGoodCredit(boolean flag);

    public abstract CreditCardLocal getCreditCard();

    public abstract void setCreditCard(CreditCardLocal cc);

    // IMPLEMENTATION OF THE EntityBean INTERFACE //
    //--------------------------------------------//
    public Integer ejbCreate(Integer id, CreditCardLocal ccl) throws javax.ejb.CreateException {
        System.out.println("CustomerBean.ejbCreate('" + id + "')");
        this.setId(id);
        setCreditCard(ccl);
        return null;
    }

    public Integer ejbCreate(Integer id, Integer ccId) throws javax.ejb.CreateException {
        System.out.println("CustomerBean.ejbCreate('" + id + "', '" + ccId + "')");
        this.setId(id);
        assignCreditCard(ccId);
        return null;
    }

    public void ejbPostCreate(Integer id, CreditCardLocal cc) {
        System.out.println("CustomerBean.ejbPostCreate('" + id + "', '" + cc + "')");
    }

    public void ejbPostCreate(Integer id, Integer ccId) {
        System.out.println("CustomerBean.ejbPostCreate('" + id + "', '" + ccId + "')");
    }

    public void ejbActivate() {
        System.out.println("CustomerBean.ejbActivate()");
        // Nothing to be done for this simple example.
    }

    public void ejbLoad() {
        System.out.println("CustomerBean.ejbLoad()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void ejbPassivate() {
        System.out.println("CustomerBean.ejbPassivate()");
        // Nothing to be done for this simple example.
    }

    public void ejbRemove() throws RemoveException {
        System.out.println("CustomerBean.ejbRemove()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void ejbStore() {
        System.out.println("CustomerBean.ejbStore()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void setEntityContext(EntityContext ctx) {
    }

    public void unsetEntityContext() {
    }

}
