/*-----------------------------------------------------------------------------
 *
 * Enhydra JdbcS
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright 1997-2000 Lutris Technologies Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * www.enhydra.org/license/epl.html
 *
 * Software distributed under the License is distributed on an "ASIS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * -----------------------------------------------------------------------------
 * $Id$
 * -----------------------------------------------------------------------------
 */
package org.enhydra.jdbc.informix;

import org.enhydra.jdbc.standard.*;
import java.sql.*;
import javax.sql.*;

public class InformixConnectionPoolDataSource extends StandardConnectionPoolDataSource {
    
    /**
     * Create a pooled connection using the default username and password.
     */
    public PooledConnection getPooledConnection () throws SQLException {
	log("InformixConnectionPoolDataSource:getPooledConnection(0) return a pooled connection");
	return getPooledConnection (user, password);
    } // method getPooledConnection
    
    /**
     * Create a informix pooled connection using the supplied username and password.
     */
    public PooledConnection getPooledConnection (String user, String password) throws SQLException {
	log("InformixConnectionPoolDataSource:getPooledConnection(2) return a pooled connection");
	return new InformixPooledConnection ((ConnectionPoolDataSource)this, user, password);
    } // method getPooledConnection

} // class InformixConnectionPoolDataSource
