/*-----------------------------------------------------------------------------
 *
 * Enhydra InstantDB
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright 1997-2000 Lutris Technologies Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * www.enhydra.org/license/epl.html
 *
 * Software distributed under the License is distributed on an "ASIS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * -----------------------------------------------------------------------------
 * $Id$
 * -----------------------------------------------------------------------------
 */
package org.enhydra.jdbc.instantdb;

import java.sql.SQLException;
import java.util.Hashtable;
import javax.sql.*;
import java.sql.*;
import javax.naming.*;
import javax.naming.spi.*;
import org.enhydra.instantdb.db.Database;
import org.enhydra.instantdb.jdbc.ConnectionExtensions;
import org.enhydra.jdbc.standard.*;
import org.enhydra.instantdb.jdbc.idbDriver;

/**
 * Data source for creating IdbConnections.
 */
public class IdbDataSource extends StandardDataSource implements DataSource {
    
     /**
      * Constructors
      */
    public IdbDataSource() throws SQLException {
        super();
        super.setDriverName(idbDriver.class.getName());
    }
    
     /**
      * Constructors
      */
    public IdbDataSource(Driver driver) throws SQLException {
        super(driver);
    }
    
   public void setDriverName (String driverName) throws SQLException {
      throw new SQLException ("Cannot change driver name for IdbDataSource");
   }
    
} // class IdbDataSource
