/*-----------------------------------------------------------------------------
 *
 * Enhydra JdbcS
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright 1997-2000 Lutris Technologies Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * www.enhydra.org/license/epl.html
 *
 * Software distributed under the License is distributed on an "ASIS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * -----------------------------------------------------------------------------
 * $Id$
 * -----------------------------------------------------------------------------
 */
package org.enhydra.jdbc.pool;

import java.sql.SQLException;
import java.util.Hashtable;

/**
 * PoolHelper defines methods allowing to make some specific
 * operation on object. These operations are required to work
 * the Generic Pool
 */
public interface PoolHelper {

    public void expire(Object o);		// object specific work to kill the object
    public boolean checkThisObject(Object o);   	// check if the object is still valid
    public boolean testThisObject(Object o);   		// check if the object is closed
    public GenerationObject create() throws SQLException;
    public GenerationObject create(String _user, String _password) throws SQLException;
} // interface PoolHelper
