@Echo Off
Rem ---------------------------------------------------------------------------
Rem JOnAS: Java(TM) Open Application Server
Rem Copyright (C) 1999 Bull S.A.
Rem Contact: jonas-team@objectweb.org
Rem 
Rem This library is free software; you can redistribute it and/or
Rem modify it under the terms of the GNU Lesser General Public
Rem License as published by the Free Software Foundation; either
Rem version 2.1 of the License, or any later version.
Rem 
Rem This library is distributed in the hope that it will be useful,
Rem but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem Lesser General Public License for more details.
Rem 
Rem You should have received a copy of the GNU Lesser General Public
Rem License along with this library; if not, write to the Free Software
Rem Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem USA
Rem
Rem Initial developer(s): Philippe Durieux
Rem Contributor(s): 
Rem ---------------------------------------------------------------------------
Rem $Id$
Rem ---------------------------------------------------------------------------

Rem Keep variables local to this script
setlocal

Rem ---------------------------------------------
Rem Check JONAS_ROOT is set. A remote client should have JONAS_ROOT set on a
Rem subset of the JONAS install directory (See objectweb\jonas\build.xml)
Rem ---------------------------------------------
if [%JONAS_ROOT%]==[] goto setroot
call %JONAS_ROOT%\bin\nt\setenv.bat
set JONAS_LIB=%JONAS_ROOT%\lib

Rem ---------------------------------------------
Rem Get args
Rem ---------------------------------------------
:loop_on_args
if %1==-cnhost goto cnhost_arg
if %1==-cnport goto cnport_arg
if %1==-cp     goto cp_arg
set ARGS=%ARGS% %1
goto next_arg

:cnhost_arg
shift
set COSNAMING_HOST=%1
goto next_arg

:cnport_arg
shift
set COSNAMING_PORT=%1
goto next_arg

:cp_arg
shift
Set CLASSPATH=%CLASSPATH%;%1
goto next_arg

:next_arg
shift
if not [%1]==[] goto loop_on_args


Rem Clients may use all these
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\ejb.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\jaas1_0.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\jndi.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\jta-spec1_0_1.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\jts-spec1_0.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\providerutil.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\servlet.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\j2ee\jms.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\joram\mom.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\joram\joram.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\log\ow_util_log_wrp_log4j.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\log\ow_util_log_wrp_pw_only.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\log\ow_util_log_file.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\log\log4j.jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\connector\ow_tx_api.jar

Rem should only put here a minimum client jar
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\ow_jonas.jar

Rem add ORB dependant libraries
if %OBJECTWEB_ORB%==DAVID set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\david\ow_jonas_%OBJECTWEB_ORB%.jar
if %OBJECTWEB_ORB%==DAVID set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\jonathan.jar
if %OBJECTWEB_ORB%==DAVID set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\kheops.jar
if %OBJECTWEB_ORB%==DAVID set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\nanoxml-lite-2.2.1.jar

if %OBJECTWEB_ORB%==RMI set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\rmi\ow_jonas_%OBJECTWEB_ORB%.jar

if %OBJECTWEB_ORB%==JEREMIE set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jeremie\ow_jonas_%OBJECTWEB_ORB%.jar
if %OBJECTWEB_ORB%==JEREMIE set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\jonathan.jar
if %OBJECTWEB_ORB%==JEREMIE set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\kheops.jar
if %OBJECTWEB_ORB%==JEREMIE set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonathan\nanoxml-lite-2.2.1.jar

set CLASSPATH=%CLASSPATH%;%JONAS_ROOT%\examples\classes

Rem ---------------------------------------------
Rem Set options for DAVID
Rem ---------------------------------------------
if %OBJECTWEB_ORB%==DAVID set JAVA_OPTS=%JAVA_OPTS% -Dorg.omg.CORBA.ORBClass=org.objectweb.david.libs.binding.orbs.iiop.IIOPORB -Dorg.omg.CORBA.ORBSingletonClass=org.objectweb.david.libs.binding.orbs.ORBSingletonClass -Djavax.rmi.CORBA.StubClass=org.objectweb.david.libs.stub_factories.rmi.StubDelegate -Djavax.rmi.CORBA.PortableRemoteObjectClass=org.objectweb.david.libs.binding.rmi.ORBPortableRemoteObjectDelegate -Djavax.rmi.CORBA.UtilClass=org.objectweb.david.libs.helpers.RMIUtilDelegate -Ddavid.CosNaming.default_method=0 -Ddavid.rmi.ValueHandlerClass=com.sun.corba.se.internal.io.ValueHandlerImpl -Ddavid.CosNaming.default_host=%COSNAMING_HOST% -Ddavid.CosNaming.default_port=%COSNAMING_PORT%

%JAVA% %JAVA_OPTS% %ARGS%
