#!/bin/sh
# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): ____________________________________.
# Contributor(s): ______________________________________.
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

# Check JONAS_ROOT is set.
JONAS_LIB=$JONAS_ROOT/lib
if [ ! -d $JONAS_ROOT/lib ]
then
    echo "JONAS_ROOT must be set"
    exit 1
fi
. $JONAS_ROOT/bin/unix/setenv

# add ow_jonas_bootstrap.jar to the classpath for the bootstrap class
CLASSPATH=$JONAS_ROOT/lib/common/ow_jonas_bootstrap.jar$SPS$CLASSPATH

# JAVA_OPTS may be already partially initialized
JAVA_OPTS="$JAVA_OPTS \
    -Dinstall.root=$JONAS_ROOT \
    -Djava.security.policy=$JONAS_ROOT/config/java.policy \
    -Dobjectweb.orb=$OBJECTWEB_ORB \
"

# ---------------------------------------------
# Run java command
# ---------------------------------------------
BOOT=org.objectweb.jonas.server.Bootstrap
if [ "$OBJECTWEB_ORB" = "JEREMIE" ]
then
    $JAVA $JAVA_OPTS $BOOT org.objectweb.jeremie.libs.services.registry.JRMIRegistry "$@"
else
if [ "$OBJECTWEB_ORB" = "DAVID" ]
then
    if [ $# = 0 ]
    then
	xterm -e $JAVA -Djonathan.IPv4ConnectionFactory.use_address_as_name=false org.objectweb.david.libs.services.CosNaming.NameServer &
	xterm -e rmiregistry &
    else if [ $# = 2 ]
    then
	xterm -e $JAVA -Djonathan.IPv4ConnectionFactory.use_address_as_name=false org.objectweb.david.libs.services.CosNaming.NameServer -port "$1" &
	xterm -e rmiregistry "$2" &
    else
	echo Usage: registry port1 port2.
	echo port1 is used by CosNaming
	echo port2 is used by RmiRegistry
	exit 1
    fi
    fi
else
    rmiregistry "$@"
fi
fi
