/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s):
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

/**
 * MBean Interface for container Manangement
 * MBean type: Standard
 * MBean model: Delegation
 */
public interface JmxContainerMBean {

    /**
     * @return Integer Number of Bean type currently in this container
     */
    public Integer getCurrentNumberOfBeanType();

    /**
     * @return Integer Number of BMP type currently in this container
     */
    public Integer getCurrentNumberOfBMPType();

    /**
     * @return Integer Number of CMP type currently in this container
     */
    public Integer getCurrentNumberOfCMPType();

    /**
     * @return Integer Number of SBF type currently in this container
     */
    public Integer getCurrentNumberOfSBFType();

    /**
     * @return Integer Number of SBL type currently in this container
     */
    public Integer getCurrentNumberOfSBLType();

    /**
     * @return Integer Number of MDB type currently in this container
     */
    public Integer getCurrentNumberOfMDBType();

    /**
     * @return String The name of this container
     */    
    public String getContainerName();

    /**
     * @return String the application name
     */
    public String getFileName();

}
