/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Adriana Danes
 * Contributor(s): 
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

/**
 * MBean Interface for Entity EJB Management 
 * MBean type: Standard
 * MBean model: Delegate (JEntityFactory)
 */
public interface JmxEntityFactoryMBean extends JmxBeanFactoryMBean {
    /**
     * @return the current passivation time out
     */
    public Long getPassivationTimeOut();

    /**
     * @param Long passivation time out to set
     */
    public void setPassivationTimeOut(Long timeOut);

    /**
     * shared
     */
    public Boolean getShared();

    /**
     * min-pool-size
     */
    public Integer getMinPoolSize();

    /**
     * max-cache-size
     */
    public Integer getMaxCacheSize();

    /**
     * pool-size
     */
    public Integer getPoolSize();

    /**
     * Cache Size
     */
    public Integer getCacheSize();
    
    /**
     * Instance Counters
     */
    public Integer[] getEntityCounters();

    /**
     * Synchronize bean state for all its instances outside transactions
     */
    public void synchronize();

    /**
     * Reduce number of instances in memory 
     */
    public void reduceCache();

}
