/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): Michel Bruno and Guillaume Riviere
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

import java.util.Set;
import org.objectweb.jonas_ejb.deployment.api.MessageDrivenDesc;
import org.objectweb.jonas_ejb.container.JMdbFactory;
/**
 * MBean Class for Mdb EJB Management 
 * MBean type: Standard
 * MBean model: Delegate (JMdbFactory)
 */
public class JmxMdbFactory extends JmxBeanFactory implements JmxMdbFactoryMBean {
        
    /**
     * Constructor
     * @param JMdbFactory factory to manage
     */
    public JmxMdbFactory(JMdbFactory factoryToManage) {
	super(factoryToManage);
    }

    /**
     * return the name of the associate destination
     * @return Integer pool size
     */ 
    public String getMdbJMSAssociateDestinationName() {
	return ((MessageDrivenDesc)ejbToManage.getDeploymentDescriptor()).getDestinationJndiName();
    }

    /**
     * return all the destination using by this ejb, including his associate destination
     * @return String Set The Name Ejb Destination
     */  
    public Set getAllJMSDestinationName() {
	// call  the super method
	Set result = super.getAllJMSDestinationName();
	result.add(getMdbJMSAssociateDestinationName());
	return result;
    }
} 
