/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Adriana Danes
 * Contributor(s): 
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

import org.objectweb.jonas_ejb.container.JSessionFactory;

/**
 * MBean Class for Stateless Session EJB Management 
 * MBean type: Standard
 * MBean model: Delegate (JSessionFactory)
 */
public class JmxSblFactory extends JmxSessionFactory implements JmxSblFactoryMBean {
        
    /**
     * Constructor
     * @param JSessionFactory factory to manage
     */
    public JmxSblFactory(JSessionFactory factoryToManage) {
	super(factoryToManage);
    }
 
    /**
     * return the size for free ejb object pool
     * @return Integer pool size
     */ 
    public Integer getCurrentEJBObjectFreePoolSize() {
	// TO DO after JSessionFactory update
	//return new Integer(((JSessionFactory)ejbToManage).getCurrentEJBObjectFreePoolSize());
	return new Integer(1);
    } 

    /**
     * return the size for in use ejb object pool
     * @return Integer pool size
     */ 
    public Integer getCurrentEJBObjectInUsePoolSize(){
	// TO DO after JSessionFactory update
	//return new Integer(((JSessionFactory)ejbToManage).getCurrentEJBObjectInUsePoolSize());
	return new Integer(1);
    } 
  
} 
