/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): Michel Bruno and Guillaume Riviere
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.dbm;

import java.rmi.RemoteException;
import java.util.Properties;
/**
 * MBean Interface for DataBase Service Management
 * MBean type: Standard
 * MBean model: Inheritance (DataBaseServiceImpl)
 */
public interface DataBaseServiceImplMBean {

    /**
     * @return Integer Total Number of Datasource available in JOnAS
     */ 
    public Integer getCurrentNumberOfDataSource();

    /**
     * @return Integer Total Number of JDBC connection open
     */ 
    public Integer getTotalCurrentNumberOfJDBCConnectionOpen();

    /**
     * @return datasource properties from a local file
     */
    public Properties getDataSourcePropertiesFile(String dsFile) throws Exception ;

    /**
     * @return load new datasource with this parametters
     */
    public void loadDataSource(Properties prop) throws RemoteException ;


    /**
     * @return unload existing datasource
     */
    public void unloadDataSource(String dsName);
}
