/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.dbm;
import org.objectweb.jonas.common.Log;  
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Keeps pool as small as possible (after conn's has reached MaxAge)
 * @author Philippe Durieux
 * Contributor(s): 
 */
public class PoolKeeper extends Thread {

    protected Pool pool;
    protected Logger logger = null;

    public PoolKeeper(Pool pool) {
       super("PoolKeeper");
       setDaemon(true);
       this.pool = pool;
       logger = Log.getLogger(Log.JONAS_DBM_PREFIX);
    }

    public void run() {

       while (true) {
	   try {
	       sleep(60 * 1000); // 60 sec
	       pool.check4MaxAge();
	   } catch (Exception ex) {
               logger.log(BasicLevel.ERROR, ex.toString());
	   }
       }
    }
}
