/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Florent BENOIT & Ludovic BERT
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.ear.lib;

//import java
import java.io.File;

/**
 * Class wich represent the log file :
 * A absolute file path associate to the unpacked directory
 * @author Florent Benoit
 * @author Ludovic Bert
 */
public class EarLogEntry {
 
    /**
     * The ear file of this ear log entry.
     */
    private File file = null;
 
    /**
     * The unpacked directory.
     */
    private String unpackedDir = null;
 
    /**
     * Constructor of a ear log entry.
     * @param file the file of the ear.
     * @param unpackedDir the timestamped dir.
     */
    public EarLogEntry(File file, String unpackedDir) {
        this.file = file;
        this.unpackedDir = unpackedDir;
    }

    /**
     * Return the ear file of this ear log entry.
     * @return the ear file of this ear log entry.
     */
    public File getFile() {
        return file;
    }

    /**
     * Return the unpacked directory.
     * @return the unpacked directory.
     */
    public String getUnpackedDir() {
        return unpackedDir;
    }

}
