/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Adriana Danes
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jmx.vjadmin.servlet;

import javax.management.ObjectName;
import org.apache.velocity.context.Context;
import org.objectweb.jonas.jmx.vjadmin.JonasManagementRepr;

/**
 * servlet managing session beans, derived for Stateless and Stateful
 * @author Philippe Durieux, Adriana Danes (JOnAS team)
 */
public abstract class SessionServlet extends EjbServlet {

    void getSessionBeanInfo(Context context, ObjectName mbean) {
	context.put("sessionTimeOut", (Integer) JonasManagementRepr.getAttribute(mbean, "SessionTimeOut"));
    }
}
