/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): Bruno Michel, Guillaume Riviere
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.jtm;

/**
 * MBean Interface for Transaction Service Management
 * MBean type: Standard
 * MBean model:Inheritance (TransactionServiceImpl)
 */
public interface TransactionServiceImplMBean {

    /**
     * @return Integer current time out for transaction
     */ 
    public Integer getCurrentTimeOut();

    /**
     * @param new time out for transaction
     */
    public void setCurrentTimeOut(Integer timeout);

    /**
     * @return True if the jtm is local
     */
    public Boolean getJTMLocal();


    /**
     * @return the jtm port number
     */
    public Integer getJTMPortNumber();


    /**
     * @return the jtm host name
     */
    public String getJTMHostName();


    /**
     *  MBean method:
     * @return all counter
     */
    public Integer [] getTxCounters();

   /**
     * MBean method:
     * reset all tx counter
     */
    public void resetAllTxTotalCounters();

}
