/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.ldap;

import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.Name;
import javax.naming.Reference;
import javax.naming.spi.ObjectFactory;


/**
 * For ldap data source 
 * @author Paul Desgranges
 * Contributor(s): 
 * 
 */

public class DataSourceLDAPImplFactory implements ObjectFactory {

    
    public Object getObjectInstance (Object refObj,
				     Name name,
				     Context nameCtx,
				     Hashtable env) throws Exception {

	Reference ref = (Reference) refObj;

	if (ref.getClassName().equals("org.objectweb.jonas.ldap.DataSourceLDAPImpl")) {
	    DataSourceLDAPImpl ds = new DataSourceLDAPImpl();
	    ds.setDataSourceName((String)ref.get("datasource.name").getContent());
	    ds.setUrl((String)ref.get("datasource.url").getContent());
	    ds.setUserName((String)ref.get("datasource.username").getContent());
	    ds.setPassword((String)ref.get("datasource.password").getContent());
	    return ds;
	} else 
	    return null;
    }
}
