/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Florent BENOIT & Ludovic BERT
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.mail;


//import java.util
import java.util.Properties;

//import jonas
import org.objectweb.jonas.service.Service;


/**
 * This interface provides a description of the JavaMail service.
 * @author Ludovic Bert
 * @author Florent Benoit
 */
public interface MailService extends Service {

    /**
     * Create a mail factory with the specified properties and register it 
     * into the registry.
     * @param namr the mail factory name
     * @param props the properties used to configure the mail factory.
     * @throws MailServiceException if the creation or the registration of 
     * the factory failed.
     */
    public void createMailFactory(String name, Properties props) throws MailServiceException;

    /**
     * Unregister all the binding factories on the server.
     * @throws MailServiceException if the unregistration of the factories 
     * failed.
     */
    public void unbindMailFactories() throws MailServiceException;

}
