/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Florent BENOIT & Ludovic BERT
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.mail.lib;

//import javax
import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 * This class specifies the authenticator to used in 
 * Sesssion.getInstance() method.
 * @author Florent Benoit
 * @author Ludovic Bert
 */
public class JAuthenticator extends Authenticator {

    /**
     * Username
     */
    private String username = null;

    /**
     * Password
     */
    private String password = null;

    /**
     * Constructor for build a new Authenticator
     * @param username the name of the user
     * @param password the password of the user
     */
    public JAuthenticator(String username, String password) {
        this.username = username;
        this.password = password;
    }

    /**
     * Called when password authentication is needed.
     * @return a password authentication
     */
    public PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication(username, password);
    }

}
