/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): Jeff Mesnil
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.security;

import org.objectweb.jonas_ejb.deployment.api.BeanDesc;
import org.objectweb.jonas.service.Service;
import java.security.Guard;

public interface SecurityService extends Service {
    
    /**
     * Set the security attributes for the bean being deployed.
     * @params containerName The container the bean is deployed in
     * @params bd The bean descriptor
     */
    public void deployBean(String containerName, BeanDesc bd);
    
    /**
     * Returns the MethodGuard for the given Container
     * @params containerName The container name
     */
    public Guard getMethodGuard(String containerName);
    
    /**
     * Returns the RoleGuard for the given Container
     * @params containerName The container name
     */
    public Guard getRoleGuard(String containerName); 
}
