/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): ______________________________________.
 *
 * 01/06/15 Regis Le Brettevillois - Libelis / JOnAS team - Evidian
 *          Creation.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.service;


import java.lang.RuntimeException;

public class ServiceException extends RuntimeException {

    Throwable cause;

    public ServiceException(String message) {
	this(message, null);
    }

    public ServiceException(String message, Throwable throwable) {
	super(message);
	this.cause = throwable;
    }

    public Throwable getCause() {
        return cause;
    }
	
    public String getMessage() {
        String msg = super.getMessage();
        if (cause != null) {
            msg += ": " + cause;
        }
	return msg;
    }

    public String toString(){
	return(this.getClass().getName() + " : " + this.getMessage());
    }

}
