/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Florent BENOIT & Ludovic BERT
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.web.catalina;


//import objectweb
import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

//import catalina
import org.apache.catalina.util.xml.XmlMapper;


/**
 *  This class provides an implementation of a logged XmlMapper with our 
 * specified logger.
 * @author Ludovic Bert
 * @author Florent Benoit
 */
public class JXmlMapper extends XmlMapper {

    /**
     * The specific logger to use. It is the JOnAS logger that will replace 
     * the Tomcat logger.
     */
    private Logger logger = null;

    /**
     * Construct a new JXmlMapper.
     */
    public JXmlMapper() {
        logger = Log.getLogger(Log.JONAS_WEB_PREFIX);
    }

    /**
     * This method write to the JOnAS logger the specified message.
     * @param msg the text to write on the logger.
     */
    public void log(String msg) {
        logger.log(BasicLevel.DEBUG, msg);
    }

}
