/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Philippe Durieux
 * Contributor(s):
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_ejb.container;

import org.objectweb.jonas_ejb.deployment.api.EntityDesc;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * This class is the Standard LocalHome for Entity objects
 * It exists only for beans that have declared a Local Interface.
 * It implements javax.ejb.EJBLocalHome interface
 */
public abstract class JEntityLocalHome extends JLocalHome {

    /**
     * constructor
     */
    public JEntityLocalHome(EntityDesc dd, JEntityFactory bf) {
	super(dd, bf);
	TraceEjb.interp.log(BasicLevel.DEBUG, "JEntityLocalHome constructor");
    }

    // ---------------------------------------------------------------
    // EJBLocalHome implementation
    // The only method is remove(pk) and is in the generated part.
    // ---------------------------------------------------------------

    // ---------------------------------------------------------------
    // other public methods, for internal use.
    // ---------------------------------------------------------------

    public RequestCtx preInvoke(int txa, String secu) {
	TraceEjb.interp.log(BasicLevel.DEBUG, "JEntityLocalHome preinvoke");
	return bf.preInvoke(txa, secu);
    }

    public void postInvoke(RequestCtx rctx) {
	TraceEjb.interp.log(BasicLevel.DEBUG, "JEntityLocalHome postinvoke");
	bf.postInvoke(rctx);
    }

    abstract public JEntityLocal createLocalObject();

}
