/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Philippe Coq, Philippe Durieux
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_ejb.container;

import org.objectweb.util.monolog.api.BasicLevel;

import java.rmi.RemoteException;
import javax.ejb.RemoveException;
import javax.ejb.SessionBean;

/**
 * This class extends JSessionContext in case of Stateless Session Bean.
 */
public class JStatelessContext extends JSessionContext {

    /**
     * constructor
     */
    public JStatelessContext(JSessionFactory bf, SessionBean sb) {
	super(bf, sb);
	TraceEjb.interp.log(BasicLevel.DEBUG, "JStatelessContext constructor");
    }

    /**
     * set this instance as removed
     */
    public void setRemoved() throws RemoteException, RemoveException {
	TraceEjb.interp.log(BasicLevel.DEBUG, "JStatelessContext setRemoved");
	// Set a flag to finish remove at postInvoke.
	ismarkedremoved = true;
    }

}
