/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Christophe Ney
 * Contributor(s): Lutris Tecnologies Inc.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas_ejb.deployment.api;

/**
 * Class to hold meta-information related to a cmp-field
 * @author Christophe Ney [cney@batisseurs.com]
 */
public class FieldDesc {

    protected String fieldName = null;
    protected boolean pkField = false;
    protected Class fieldType = null;

    /**
     * Assessor method for primary key field
     * @return true if field is a primary key
     */
    public boolean isPrimaryKey(){
        return pkField;
    }

    /**
     * Field name getter
     * @return field name
     */
    public String getFieldName() {
        return fieldName;
    }

    /**
     * field name setter
     */
    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    /**
     * primary key flag setter
     */
    public void setPrimaryKey(boolean pkField) {
        this.pkField = pkField;
    }

    /**
     * field type getter
     */
    public Class getFieldType() {
        return fieldType;
    }

    /**
     * field type setter
     */
    public void setFieldType(Class fieldType) {
        this.fieldType = fieldType;
    }

    /**
     * String representation of the object for test purpose
     * @return String representation of this object
     */
    public String toString() {
        StringBuffer ret = new StringBuffer();
        ret.append("\ngetFieldName() = " + getFieldName());
        ret.append("\ngetFieldType() = " + getFieldType());
        ret.append("\nisPrimaryKey()="+new Boolean(isPrimaryKey()).toString());
        return ret.toString();
    }

}
