/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Christophe Ney
 * Contributor(s): Lutris Tecnologies Inc. , France Telecom R&D
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas_ejb.deployment.api;

/**
 * Class to hold meta-information related to a cmp-field of a bean with jdbc based store
 * @author Christophe Ney [cney@batisseurs.com]
 */
public class FieldJdbcDesc extends FieldDesc {


    protected String jdbcFieldName = null;

    /**
     * Get database field name in the table where bean is stored
     * @return Name of the field in the database
     */
    public String getJdbcFieldName(){
        return jdbcFieldName;
    }

    /**
     * Jdbc field name setter. The name is the name of the table column in the database
     */
    public void setJdbcFieldName(String jdbcFieldName) {
        this.jdbcFieldName = jdbcFieldName;
    }

    /**
     * String representation of the object for test purpose
     * @return String representation of this object
     */
    public String toString() {
        StringBuffer ret = new StringBuffer();
        ret.append(super.toString());
        ret.append("\ngetJdbcFieldName()="+getJdbcFieldName());
        return ret.toString();
    }

}
