/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Helene Joanin
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas_ejb.genic;

/**
 * This class represents the exception that can be throwned by the GenIC tool.
 */
public class GenICException extends Exception {

    protected Exception inner = null;

    /**
     * Constructs an GenICException with no specified detail message.
     */
    public GenICException() {
	super();
    }

    /**
     * Constructs an GenICException with the specified detail message.
     */
    public GenICException(String msg) {
	super(msg);
    }

    public GenICException(String msg, Exception inner) {
        super(msg);
        this.inner = inner;

    }

    public void printStackTrace() {
        System.out.println(getMessage());
        if (inner!=null) {
            inner.printStackTrace();
        }
    }
    public void printStackTrace(java.io.PrintStream s) {
        s.println(getMessage());
        if (inner!=null) {
            inner.printStackTrace(s);
        }
    }
    public void printStackTrace(java.io.PrintWriter s) {
        s.println(getMessage());
        if (inner!=null) {
            inner.printStackTrace(s);
        }
    }
}
