/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_jms;

import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Class used to log messages in Jms module.
 * @author Sebastien Chassande-Barrioz
 */
public class TraceJms {

    static public Logger logger = null;

    static public void configure(LoggerFactory lf) {
        logger = lf.getLogger("org.objectweb.jonas_jms");
    }

    static public boolean isDebug() {
	return (logger != null) && logger.isLoggable(BasicLevel.DEBUG);
    }

    static public void verbose(String msg) {
        if (logger != null) logger.log(BasicLevel.WARN, msg);
    }

    static public void debug(String msg) {
        if (logger != null) logger.log(BasicLevel.DEBUG, msg);
    }

    static public void error(String msg) {
        if (logger != null) logger.log(BasicLevel.ERROR, msg);
    }

    static public void error(String msg, Throwable th) {
        if (logger != null) logger.log(BasicLevel.ERROR, msg, th);
    }
}
