/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_tm;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * OTS like Coordinator interface.
 * @author Philippe Durieux
 */
public interface Coordinator extends Remote {
    public int get_status() throws RemoteException;
    public boolean is_same_transaction(Coordinator tc) throws RemoteException;
    public RecoveryCoordinator register_resource(Resource r) throws RemoteException;
    public void register_synchronization(RemoteSynchro sync) throws RemoteException;
    public void rollback_only() throws RemoteException;
    public String get_transaction_name() throws RemoteException;
}
