/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_tm;

import java.util.Vector;

/**
 * Information about 1 Resource logged
 * @author Philippe Durieux
 */
class ResourceInfo {

    /**
     * Constructor 
     * called at prepare if VOTE_COMMIT
     */
    ResourceInfo(Resource res) {
	TraceTm.debugTm("ResourceInfo constructor");
	myres = res;
	mystate = PREPARED;
    }

    Resource myres;

    // Resource state
    static final int REGISTERED = 1;
    static final int PREPARED = 2;
    static final int COMMITTED = 3;
    static final int ROLLEDBACK = 4;
    static final int HEURISTIC_COMMIT = 5;
    static final int HEURISTIC_ROLLBACK = 6;
    static final int HEURISTIC_MIXED = 7;
    static final int HEURISTIC_HAZARD = 8;
    int mystate;
}
