/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): Jeff Mesnil
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.security.tomcat.interceptor ;

import org.apache.tomcat.request.SecurityCheck ;
import org.apache.tomcat.core.Request ;
import org.apache.tomcat.core.Response ;

import org.objectweb.security.context.SecurityCurrent ;
import org.objectweb.security.context.SecurityContext ;

import java.security.Principal ;

public class SecurityCtxInterceptor31 extends  SecurityCheck {

    public SecurityCtxInterceptor31 () {
	super () ;
    }

    public int authorize( Request req, Response response ) {
	int result = super.authorize (req, response) ;
	if (result == 0) {
	    Principal principal = req.getUserPrincipal() ;
	    //System.out.println ("Principal : "+ principal.getName()) ; 
	    if (principal != null) {
		SecurityContext ctx = new SecurityContext (principal.getName()) ;
		SecurityCurrent current = SecurityCurrent.getCurrent () ;
		current.setSecurityContext(ctx) ;
	    }
	}
	return result ;
    }
}
