#! /bin/sh
# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

#
# Script used for configuring an correct environment for calling Ant
#
# If you need to launch the JOnAS server via target batchtest with 
# JMS collocated but working on another port that the default one
# you must set Environment variable JMS_CONF_DIR to the location 
# where must be found the a3server.xml
#
#

. $JONAS_ROOT/bin/unix/config_env

if [ -z "$JMS_CONF_DIR" ]
then
	JMS_CONF_DIR=$JONAS_ROOT/config
fi

set -x

ant -emacs \
    -Dobjectweb_orb=$OBJECTWEB_ORB \
    -Djonas.root=$JONAS_ROOT \
    -Dclasspath=$CLASSPATH \
    -Djmsconfig.dir=$JMS_CONF_DIR \
    "$@"
