/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// AccountEHome.java


package org.objectweb.jonas.jtests.beans.beanexc;

import java.util.Enumeration;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;


public interface AccountEHome extends EJBHome {

    public AccountE create(int number, String customer, long balance) throws RemoteException, CreateException;
    public AccountE create(boolean flg) throws RemoteException, CreateException, AppException;
    public AccountE create(int  flg) throws RemoteException, CreateException, AppException;
    public AccountE findByPrimaryKey(AccountPK pk) throws RemoteException, FinderException;
    public AccountE findByNoAccount(int number) throws RemoteException, FinderException;
    public Enumeration findCustomerAccounts(String name) throws RemoteException, FinderException;
    public Enumeration findBigAccounts(long b) throws RemoteException, FinderException;
    public Enumeration findAllAccounts() throws RemoteException, FinderException;
}
