/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

/**
 * This is an entity bean with "container managed persistence version 1.x".
 * This bean is used to test an entity with an unknown primary key class at the development phase.
 * @author Helene Joanin 
 */

package org.objectweb.jonas.jtests.beans.ebasic;

import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Collection;
import java.util.Vector;
import javax.ejb.CreateException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBObject;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.FinderException;
import javax.ejb.ObjectNotFoundException;
import javax.ejb.RemoveException;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;
import javax.transaction.NotSupportedException;
import javax.transaction.Status;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 *
 */
public class PersonEC extends PersonEC2 implements EntityBean {

    // ------------------------------------------------------------------
    // State of the bean (CMP v1)
    // They must be public for Container Managed Persistence.
    // ------------------------------------------------------------------
    public Integer number;
    public String name;

    // ------------------------------------------------------------------
    // Accessors and setters implementation
    // ------------------------------------------------------------------

    /**
     * getNumber
     */
    public Integer getNumber() {
	logger.log(BasicLevel.DEBUG, "");
	return number;
    }
    /**
     * setNumber
     */
    public void setNumber(Integer num) {
	logger.log(BasicLevel.DEBUG, "");
	number = num;
    }

    /**
     * getName
     */
    public String getName() {
	logger.log(BasicLevel.DEBUG, "");
	return name;
    }
    /**
     * setName
     */
    public void setName(String s) {
	logger.log(BasicLevel.DEBUG, "");
	name = new String(s);
    }

}
