/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// IdPK.java

package org.objectweb.jonas.jtests.beans.inherit;

// 'extends' useful to test the inheritance !

public class IdPK extends BasicIdPK {

    public int idBis;

    public IdPK(int id) {
	super(id);
	this.idBis = 0;
    }

    public IdPK() {
	super();
	this.idBis = 0;
    }

    public int hashCode() {
	return (super.hashCode()+idBis);
    }

    public boolean equals(Object other) {
	boolean isEqual = super.equals(other);
	if (isEqual) {
	    if (other instanceof IdPK) {
		isEqual = (idBis == ((IdPK)other).idBis);
	    }
	}
	return isEqual ;
    }

}
