/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// 
// RSuite.java

package org.objectweb.jonas.jtests.beans.remoterunner;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

import org.objectweb.jonas.jtests.beans.remoterunner.RemoteRunner;
import org.objectweb.jonas.jtests.beans.remoterunner.RemoteRunnerHome;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * Utility class used by the test suite that use a Remote runner
 *
 * @author PH. Coq
 */
public class RSuite extends JTestCase {

    protected static String REMOTE_RUNNER = "RemoteRunnerHome";
    static RemoteRunnerHome home = null;
    String runnerHomeName = null;

    public RSuite(String name) {
        super(name);
 
    }


    public void setRunnerHomeName (String rhn) {
        runnerHomeName = rhn;
    }

    public String getRunnerHomeName() {
        return runnerHomeName;
    }

    public RemoteRunner getRemoteRunner() throws Exception {
         
        home = (RemoteRunnerHome) PortableRemoteObject.narrow(ictx.lookup(runnerHomeName), 
                                                            RemoteRunnerHome.class);
	    return  home.create();

    }


}
