/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.secured;

import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EJBContext;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * This is an entity bean with "container managed persistence version 1".
 * The state of an instance is stored into a relational database.
 * This class extends the similar entity bean with "CMP version 2.x",
 * and implements getter and setter methods.
 * @author Philippe Coq, Helene Joanin (jonas team)
 */
public class BaseEC extends BaseEC2 implements EntityBean {

    // ------------------------------------------------------------------
    // State of the bean. 
    // They must be public for Container Managed Persistance.
    // ------------------------------------------------------------------
    public String  info;
    public String  name;	

    // ------------------------------------------------------------------
    // Accessors and setters implementation
    // ------------------------------------------------------------------

    public String getName() {
        logger.log(BasicLevel.DEBUG, "");
	return name;
    }

    public void setName(String  s) {
        logger.log(BasicLevel.DEBUG, "");
	this.name = s;
    }

    public String getInfo() {
        logger.log(BasicLevel.DEBUG, "");
	return info;
    }

    public void setInfo(String info) {
        logger.log(BasicLevel.DEBUG, "");
	this.info = info;
    }

}
