/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.transacted;

import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Entity bean with container managed persistence version 1.
 */
public class SimpleEC extends SimpleEC2 implements EntityBean {

    protected EntityContext entityContext;

    // Bean state (CMP v1)
    public String accno;	// PK
    public String customer;
    public long balance;

    // Accessors and setters implementation
    public String getAccno() {
	return this.accno;
    }
    public void setAccno(String accno) {
	this.accno = accno;
    }
    public String getCustomer() {
	return this.customer;
    }
    public void setCustomer(String customer) {
	this.customer = customer;
    }
    public long getBalance() {
	return this.balance;
    }
    public void setBalance(long balance) {
	this.balance = balance;
    }	
 	
}
