/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * This is a test suite about transaction isolation on entity beans.
 * It run 3 suites: 1 for BMP, 1 for CMP version 1, and 1 for CMP version 2.
 * Beans used: ehome
 * @author Philippe Coq, Philippe Durieux, Helene Joanin (jonas team)
 */
public class C_Isolation extends JTestCase {

    public C_Isolation(String name) {
	super(name);
    }

    public static Test suite() {
	TestSuite suite = new TestSuite();
	suite.addTest(F_IsolationEB.suite());
	suite.addTest(F_IsolationEC.suite());
	suite.addTest(F_IsolationEC2.suite());
	return suite;
    }

    public static void main (String args[]) {
	junit.textui.TestRunner.run(suite());
    }
}
