/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.beans.ebasic.SimpleHome;
import org.objectweb.jonas.jtests.beans.ebasic.Simple;
import java.util.Enumeration;

/**
 * This set of test are basic tests on CMP version 1 entity home interface.
 * All tests common to CMP are in the inherited class A_BasicHomeInterfaceEC.
 * @author Philippe Coq, Philippe Durieux, Helene Joanin (jonas team)
 */
public class F_BasicHomeInterfaceEC extends A_BasicHomeInterfaceEC {

    private static String BEAN_HOME = "ebasicSimpleECHome";

    public F_BasicHomeInterfaceEC(String name) {
	super(name);
    }
  
    public SimpleHome getHome() {
	if (home == null) {
	    try {
		home = (SimpleHome) PortableRemoteObject.narrow(
					   ictx.lookup(BEAN_HOME),
					   SimpleHome.class);
	    } catch (NamingException e) {
		fail("Cannot get bean home");
	    }
	}
	return home;
    }

    /**
     * This suite is all CMP test cases
     */
    public static Test suite() {
	return new TestSuite(F_BasicHomeInterfaceEC.class);
    }

    public static void main (String args[]) {
	String testtorun = null;
	// Get args
	for (int argn = 0; argn < args.length; argn++) {
	    String s_arg = args[argn];
	    Integer i_arg;
	    if (s_arg.equals("-n")) {
		testtorun = args[++argn];
	    }
	}
	if (testtorun == null) {
	    junit.textui.TestRunner.run(suite());
	} else {
	    junit.textui.TestRunner.run(new F_BasicHomeInterfaceEC(testtorun));
	}
    }
}
