/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.stests.manac;

import javax.ejb.CreateException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Manac Implementation (with container-managed persistence version 1)
 * This class extends the similar entity bean with "CMP version 2.x"
 * and implements the getter and setter methods.
 * @author Philippe Durieux, Helene Joanin
 */
public class ManacEC extends ManacEC2 implements EntityBean {

    // ------------------------------------------------------------------
    // State of the bean. 
    // They must be public for Container Managed Persistance.
    // ------------------------------------------------------------------
    public String name;
    public int num;
    public int balance;

    // ------------------------------------------------------------------
    // Get and Set accessor methods of the bean
    // ------------------------------------------------------------------
    public String getName() {
	return this.name;
    }
    public void setName(String n) {
	this.name = n;
    }
    public int getNum() {
	return this.num;
    }
    public void setNum(int n) {
	this.num = n;
    }
    public int getBalance() {
	return this.balance;
    }
    public void setBalance(int b) {
	this.balance = b;
    }

}
