/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package org.objectweb.jorm.comp.generator.api;

import org.objectweb.jorm.comp.compiler.api.CompilerParameter;
import org.objectweb.jorm.metainfo.api.MetaObject;
import org.objectweb.util.io.api.TargetHolder;

/**
 * Generation is a simple interface which allows to generate object file
 * depending on their nature. The compiler uses Meta Object to build the
 * input source tree.
 *
 * Pascal Dechamboux
 */
public interface Generator {

	/**
	 * Generates information for the Persistence Meta Object.
	 * @param pod	the meta object interface
	 * @param th	The target holder which allows to create files
	 * @param cp	This parameter permits to reach the compilation parameters
	 */
	void generate(MetaObject pod, TargetHolder th, CompilerParameter cp
				  ) throws Exception;
}
