/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package org.objectweb.jorm.comp.generator.api;

/**
 * An implementation of this interface starts the generations of the jorm
 * objects and user object. The jorm objects are the binder, the binding
 * and the accesors. It is needed to specify a MOPFactory before start the
 * generation.The generate method starts the generation. To generate user
 * objects it is necessary to specify their GeneratorFactory by the
 * addGeneratorFactory method.
 */
public interface JormGenerator extends Generator {

	/**
	 * This method permits to add GeneratorFactory instance. This is the way to
	 * extend the JormGenerator to generate supplementary files.
	 */
	void addGeneratorFactory(GeneratorFactory gf);

	/**
	 * This setter method permit to specify which MOPFactory must be used in
	 * this JormGenerator instance.
	 */
	void setMOPFactory(MOPFactory mopf);
}
