/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package org.objectweb.jorm.comp.generator.rdb;

import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.comp.compiler.api.CompilerParameter;
import org.objectweb.jorm.comp.generator.api.MOP;
import org.objectweb.jorm.comp.generator.api.MOPFactory;
import org.objectweb.jorm.runtime.mapper.rdb.adapter.lib.RdbAdapterFactory;

/**
 *
 */
public class RdbMOPFactory implements MOPFactory {

	/**
	 * This method must return a new instance of a MappingMOP
	 */
	public MOP createMappingMOP(CompilerParameter cp) throws PException {
		return new RdbMappingMOP(new RdbAdapterFactory().getTypeConverter(cp));
	}

	/**
	 * This method must return a new instance of a BindingMOP
	 */
	public MOP createBindingMOP(CompilerParameter cp) throws PException {
		return new RdbBindingMOP(new RdbAdapterFactory().getTypeConverter(cp));
	}
}
