/**
 * Copyright (C) 2000 
 */

package org.objectweb.jorm.facility.meminst.genclass.java.util;

import org.objectweb.jorm.api.PIndexedElem;
import org.objectweb.jorm.api.PIndexedElemFactory;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.type.api.PExceptionTyping;
import org.objectweb.util.monolog.api.BasicLevel;

import java.util.ArrayList;

/**
 * @author	P. Dchamboux
 */
public class Set extends Collection
	implements java.util.Set,
	org.objectweb.jorm.facility.meminst.genclass.api.Set {

	public Set(PIndexedElemFactory pief) {
		super(pief);
	}

	/**
	 * <b>Set</b> instanciates and initialize a new set with an initial set size
	 */
	public Set(int size, PIndexedElemFactory pief) {
		super(size, pief);
	}

	// IMPLEMENTATION OF THE Set INTERFACE //
	//-------------------------------------//

	/**
	 * Adds the specified element to this set if it is not already present.
	 * @param o the object to be added.
	 */
	public synchronized boolean add(Object o, Object connection)
		throws PException {
		// Search the element in the "elements" list
		try {
			((PIndexedElem) tmpelem).pieSetRefElem(o);   // tmp type = etype.
		}
		catch (PExceptionTyping e) {
			e.printStackTrace();
		}
		int pos = elements.indexOf(tmpelem);
//		if (pos != -1) {
		// The element was found in elements list => change its status to
		// ELEM_MODIFIED
//			((SetElem) elements.get(pos)).pieSetRefElem(o);
//			((SetElem) elements.get(pos))
//				.setStatus(PIndexedElem.ELEM_MODIFIED);
//		}
//		else {
			// The element wasn't found => create a new element and put it
			// in the "indexedelem" list
		if (pos == -1) {
			try {
				PIndexedElem ie = createPIndexedElem();
				ie.pieSetRefElem(o);
				elements.add(ie);
			}
			catch (PExceptionTyping e) {
				if (logger != null)
					logger.log(BasicLevel.ERROR, "", e);
				return false;
			}
		}
		return pos == -1;
	}

	/**
	 * Returns true if this set contains the specified element.
	 */
	public boolean contains(Object o, Object connection)
		throws PException {
		// Search the element in the "elements" list
		try {
			((PIndexedElem) tmpelem).pieSetRefElem(o);   // tmp type = etype.
		}
		catch (PExceptionTyping e) {
			e.printStackTrace();
		}
		int pos = elements.indexOf(tmpelem);

		// the set contains the 'o' element if an indexedeleme was found and it
		// doesn't have the ELEM_DELETED status.
		return (pos != -1)
			&& (((PIndexedElem) elements.get(pos)).getElemStatus()
			!= PIndexedElem.ELEM_DELETED);
	}

	/**
	 * <b>remove</b>
	 * Removes the specified element from this set if it is present
	 * (implemented optional operation).
	 */
	public synchronized boolean remove(Object o, Object connection)
		throws PException {
		// Search the element in the "elements" list
		try {
			((PIndexedElem) tmpelem).pieSetRefElem(o);   // tmp type = etype.
		}
		catch (PExceptionTyping e) {
			e.printStackTrace();
		}
		int pos = elements.indexOf(tmpelem);

		// If the element was found => set its status to ELEM_DELETED
		if (pos != -1)
			((SetElem) elements.get(pos))
				.setStatus(PIndexedElem.ELEM_DELETED);
		return pos != -1;
	}

	public boolean containsAll(
		org.objectweb.jorm.facility.meminst.genclass.api.Set c,
		Object connection) throws PException {
		return super.containsAll((Collection) c,connection);
	}

	public boolean addAll(
		org.objectweb.jorm.facility.meminst.genclass.api.Set c,
		Object connection) throws PException {
		return super.addAll((Collection) c,connection);
	}

	public boolean retainAll(
		org.objectweb.jorm.facility.meminst.genclass.api.Set c,
		Object connection) throws PException {
		return super.retainAll((Collection) c,connection);
	}

	public boolean removeAll(
		org.objectweb.jorm.facility.meminst.genclass.api.Set c,
		Object connection) throws PException {
		return super.removeAll((Collection)c,connection);
	}
}
