/**
 * Copyright (C) 2002
 */

package org.objectweb.jorm.facility.meminst.genclass.java.util;

import org.objectweb.jorm.type.api.PExceptionTyping;
import org.objectweb.jorm.util.api.Loggable;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class SetElem extends CollectionElem implements Loggable {

	protected Logger logger = null;

	/**
	 * The error message thrown when an accessor method associated to an index
	 * is called. Indeed a set does not need index because all element must be
	 * unique and they are not ordered.
	 */
	public final static String ERROR_MESSAGE_NO_INDEX =
		"A set doesn't have index";

	//----- Index accessor -----//
	//--------------------------//
	public void pieSetByteIndexField(String fn, byte value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public void pieSetCharIndexField(String fn, char value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public void pieSetShortIndexField(String fn, short value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public void pieSetIntIndexField(String fn, int value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public void pieSetLongIndexField(String fn, long value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public void pieSetStringIndexField(String fn, String value)
		throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public short pieGetShortIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public long pieGetLongIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public int pieGetIntIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public String pieGetStringIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public byte pieGetByteIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	public char pieGetCharIndexField(String fn) throws PExceptionTyping {
		throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
	}

	// IMPLEMENTATION OF THE Loggable INTERFACE //
	//------------------------------------------//
	/**
	 * Returns a logger to an component that wants to log things.
	 *
	 * @param logger	the logger object
	 */
	public Logger getLogger() {
		return logger;
	}

	/**
	 * Returns a logger factory that allows the creation of new loggers.
	 *
	 * @param loggerfactory	the LoggerFactory object to obtain new loggers
	 */
	public LoggerFactory getLoggerFactory() {
		return null;
	}

	/**
	 * Assigns a logger to an component that wants to log things.
	 *
	 * @param logger	the logger object
	 */
	public void setLogger(Logger l) {
		logger = l;
	}

	/**
	 * Assigns a logger factory that allows the creation of new loggers.
	 *
	 * @param loggerfactory	the LoggerFactory object to obtain new loggers
	 */
	public void setLoggerFactory(LoggerFactory loggerfactory) {
	}
}
