/**
 * Copyright (C) 2002
 */

package org.objectweb.jorm.facility.meminst.manager.basic.genclass.java.util;

import org.objectweb.jorm.facility.meminst.manager.basic.lib.ManagerImpl;
import org.objectweb.jorm.facility.meminst.genclass.java.util.Collection;
import org.objectweb.jorm.api.PIndexedElemFactory;
import org.objectweb.jorm.api.PBinding;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PClassMapping;
import org.objectweb.jorm.api.PIndexedElem;
import org.objectweb.jorm.util.api.Loggable;

import javax.resource.cci.ConnectionFactory;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class CollectionManager
	extends ManagerImpl
	implements PIndexedElemFactory{

	protected ConnectionFactory connectionFactory = null;

	public void setConnectionFactory(ConnectionFactory connectionFactory) {
		this.connectionFactory = connectionFactory;
	}

	// OVERRIDES ManagerImpl CLASS //
	//-----------------------------//

	public PAccessor createPAccessor() {
		Collection c = new Collection(this);
		c.setConnectionFactory(connectionFactory);
		c.setLoggerFactory(loggerFactory);
		return c;
	}

	public boolean bindingExtendsAccessor() {
		return false;
	}

	public void load(PBinding pb, Object conn) throws PException {
		((Collection) pb.getPAccessor()).setPBinding(pb);
	}

	public void store(PBinding pb, Object conn) throws PException {
		((Collection) pb.getPAccessor()).setPBinding(pb);
		pb.export(conn);
		((Collection) pb.getPAccessor()).store(conn);
	}

	// IMPLEMENTATION OF THE PIndexedElemFactory INTERFACE //
	//-----------------------------------------------------//
	/**
	 * It creates an indexed element to be used by the binding for exchanging
	 * elements between the MI and the binding, using the paAdd and the
	 * paiterate methods.
	 * @return	The created PIndexedElem.
	 */
	public PIndexedElem createPIndexedElem() {
		return new CollectionElem();
	}
}
