/**
 * Copyright (C) 2002
 */

package org.objectweb.jorm.facility.meminst.manager.basic.genclass.java.util;

import org.objectweb.jorm.api.PBinding;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.api.PClassMapping;
import org.objectweb.jorm.api.Debug;
import org.objectweb.jorm.facility.meminst.manager.basic.api.Manager;
import org.objectweb.jorm.naming.api.PExceptionNaming;
import org.objectweb.jorm.naming.api.PName;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class SetElem
	extends org.objectweb.jorm.facility.meminst.genclass.java.util.SetElem {

	public Object getRefValue(Object conn) throws PException {
		if (!(element instanceof PName))
			return element;
		Object o = recurseResolve(conn, (PName) element);
		PBinding pb = null;
		if (o instanceof PBinding) {
			if (Debug.ON && logger!=null)
				logger.log(BasicLevel.DEBUG, "The Set element is a PBinding");
			pb = (PBinding) o;
		}
		else if (o instanceof PName) {
			if (Debug.ON && logger!=null)
				logger.log(BasicLevel.DEBUG, "The Set element is a PName");
			Manager manager = (Manager)
				((PClassMapping) ((PName) o).getPNamingContext()).getMIManager();
			if (manager==null) {
				// The referenced element does not have manager
				// => returns the pname
				if (Debug.ON && logger!=null)
					logger.log(BasicLevel.DEBUG,
						"No manager specified => return the PName");
				return o;
			}
			pb = manager.getPBinding(conn, (PName) o);
		}
		else
			throw new PExceptionNaming("");
		return pb.getPAccessor().getMemoryInstance();
	}


	// OTHER METHODS //
	//---------------//

	protected Object recurseResolve(Object conn, PName pn)
		throws PException {
		Object res = pn.resolve(conn);
		if (res instanceof PBinding)
			return res;
		else if (res instanceof PName)
			return recurseResolve(conn, (PName) res);
		else if (res == null)
			return pn;
		else
			throw new PExceptionNaming(
				"The PNamingContext return an unknown object");
	}

}
