/**
 * Copyright (C) 2002
 */

package org.objectweb.jorm.facility.meminst.manager.basic.genclass.java.util;

import org.objectweb.jorm.facility.meminst.manager.basic.lib.ManagerImpl;
import org.objectweb.jorm.facility.meminst.genclass.java.util.Set;
import org.objectweb.jorm.api.PIndexedElemFactory;
import org.objectweb.jorm.api.PBinding;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PIndexedElem;
import org.objectweb.jorm.api.Debug;
import org.objectweb.util.monolog.api.BasicLevel;

import javax.resource.cci.ConnectionFactory;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class SetManager
	extends ManagerImpl
	implements PIndexedElemFactory{

	protected ConnectionFactory connectionFactory = null;

	public void setConnectionFactory(ConnectionFactory connectionFactory) {
		this.connectionFactory = connectionFactory;
	}

	public PAccessor createPAccessor() {
		Set s = new Set(this);
		s.setConnectionFactory(connectionFactory);
		s.setLoggerFactory(loggerFactory);
		return s;
	}

	public boolean bindingExtendsAccessor() {
		return false;
	}

	public void load(PBinding pb, Object conn) throws PException {
		if (Debug.ON && logger!=null)
			logger.log(BasicLevel.DEBUG, "");
		((Set) pb.getPAccessor()).setPBinding(pb);
	}

	public void store(PBinding pb, Object conn) throws PException {
		if (Debug.ON && logger!=null)
			logger.log(BasicLevel.DEBUG, "");
		((Set) pb.getPAccessor()).setPBinding(pb);
		pb.export(conn);
		((Set) pb.getPAccessor()).store(conn);
	}


	// IMPLEMENTATION OF THE PIndexedElemFactory INTERFACE //
	//-----------------------------------------------------//
	/**
	 * It creates an indexed element to be used by the binding for exchanging
	 * elements between the MI and the binding, using the paAdd and the
	 * paiterate methods.
	 * @return	The created PIndexedElem.
	 */
	public PIndexedElem createPIndexedElem() {
		return new SetElem();
	}

}
