/**
 * Copyright (C) 2000
 */

package org.objectweb.jorm.facility.naming.gobid.generator;

import org.objectweb.jorm.api.PException;

/**
 * Define the behaviour of a generator allocating long identifier.
 * @author	<A HREF="mailto:noel.depalma@rd.francetelecom.fr><b>
 *			Noel De Palma
 *			</b></A>
 */

public interface LGenerator {

	/**
	 * Generate a new identifier.
	 * @return the identifier
	 */
	long genId(Object conn) throws PException;

	/**
	 * It returns the value of the nextid field.
	 * @return	The actual value of the field.
	 */
	long getNextId();

	/**
	 * It set the value of the nextid field.
	 * @param id The new value of the field.
	 */
	void setNextId(long id);
}

