/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package org.objectweb.jorm.metainfo.api;

/**
 * A ClassRef is a field which is a reference field to another class.
 * In this case, the name of the referenced class has to be specified,
 * as well as whether it is a shared reference or not; if it is not,
 * it is a dependent class.
 * @author	X. Spengler
 */
public interface ClassRef extends Reference {
	/**
	 * Returns the Class object which describes the ClassRef entity.
	 * This object is used as the type of a field.
	 *
	 * @return  the Class Object contained by the current class ref object
	 */
	Class getMOClass();

	/**
	 * Returns the name of the class ref.
	 *
	 * @return the name of the class reference meta object
	 */
	String getClassName();
}
