/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */
/**

 * Copyright (C) 2000 France Tlcom R&D

 * DTL/ASR

 * Contributors:

 * History:

 * @author	<A HREF="mailto:Luciano.Garcia-Banuelos@imag.fr><b>

 *			Luciano Garcia Banuelos

 *			</b></A>

 */

package org.objectweb.jorm.naming.cache.lib;

import org.objectweb.jorm.naming.cache.api.Cache;

import java.util.Hashtable;
import java.util.Iterator;

/**

 * This class provide a basic implementation of the Cache interface.

 * @author nono de palma.

 */
public class SimpleHashedCache implements Cache {

	private Hashtable htable;

	public SimpleHashedCache() {
		htable = new Hashtable();
	}

	public SimpleHashedCache(int size) {
		htable = new Hashtable(size);
	}



	/*

	public void register(PName pn, Object obj) throws Exception {



		htable.put(pn, obj);

	}



  	public void unregister(PName pn) throws Exception{

  		htable.remove(pn);

  	}



  	public Object lookup(PName pn) throws Exception {

  		return htable.get(pn);

	}*/





	public Iterator getIterator() {
		return htable.values().iterator();
	}

	public void register(Object key, Object obj) {
		htable.put(key, obj);
	}

	public void unregister(Object key) {
		htable.remove(key);
	}

	public Object lookup(Object key) {
		return htable.get(key);
	}

}

