/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */
/*
 * Copyright (C) 2000
 */

package org.objectweb.jorm.runtime.mapper.rdb.adapter.lib;

import org.objectweb.jorm.api.PExceptionProtocol;
import org.objectweb.jorm.type.api.PType;

/*
 * @author	<A HREF="mailto:sebastien.chassande@inrialpes.fr><b>
 *			Sebastien Chassande-Barrioz
 *			</b></A>
 */

public class PostgresTypeConverter extends BasicRdbAdapter {

	public PostgresTypeConverter() {
		super();
	}

	public String getSqlType(PType pt) throws PExceptionProtocol {
		if (pt == null) {
			throw new PExceptionProtocol("Invalid parameter");
		}
		switch (pt.getTypeCode()) {
		case PType.TYPECODE_BOOLEAN:
			return "BOOL";
		case PType.TYPECODE_SHORT:
			return "INT2";
		case PType.TYPECODE_INT:
		case PType.TYPECODE_INT_OBJ:
			return "INT4";
		case PType.TYPECODE_LONG:
			return "INT8";
		case PType.TYPECODE_FLOAT:
			return "FLOAT4";
		case PType.TYPECODE_DOUBLE:
			return "FLOAT8";
/*		case PType.TYPECODE_TIMESTAMP:
			throw new PExceptionProtocol(
				"The Postgres database does not support the timestamp type");
*/
		default:
			return super.getSqlType(pt);
		}
	}
/*
	public String getSqlGetterName(PType pt) throws PExceptionProtocol {
		if (pt == null) {
			throw new PExceptionProtocol("Invalid parameter");
		}
		switch (pt.getTypeCode()) {
		case PType.TYPECODE_TIMESTAMP:
			throw new PExceptionProtocol(
				"The Postgres database does not support the timestamp type");
		default:
			return super.getSqlGetterName(pt);
		}
	}

	public String getSqlSetterName(PType pt) throws PExceptionProtocol {
		if (pt == null) {
			throw new PExceptionProtocol("Invalid parameter");
		}
		switch (pt.getTypeCode()) {
		case PType.TYPECODE_TIMESTAMP:
			throw new PExceptionProtocol(
				"The Postgres database does not support the timestamp type");
		default:
			return super.getSqlSetterName(pt);
		}
	}
*/
}
