/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package org.objectweb.jorm.type.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.jorm.type.api.PTypeSpace;

/**
 * @author	<A HREF="mailto:pascal.dechamboux@rd.francetelecom.com><b>
 * 			Pascal Dchamboux</b></A>
 *			<A HREF="mailto:sebastien.chassande@inrialpes.fr><b>
 * 			Sebastien Chassande-Barrioz</b></A>
 */
public class PTypeGenClass extends PType {
	protected PType nestedPType = null;

	public PTypeGenClass(String jormName, PType _inner, PTypeSpace typeSpace) {
		super(jormName, typeSpace);
		nestedPType = _inner;
	}

	/**
	 * It retrieves the nested PType in case of a generic class PType.
	 * @return	The nested PType.
	 */
	public PType getNestedPType() {
		return nestedPType;
	}
}
