/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 * Contributor Christophe Ney cney@batisseurs.com
 *
 */

package org.objectweb.jorm.util.lib;

/**
 * The BasicClassLoader object defines methods to load class.
 * @author	X. Spengler
 * @deprecated This class is not a classloader! need refactoring (Christophe Ney)
 */
public class BasicClassLoader {

	/**
	 * Loads a given class in the current environment.
	 *
	 * @param classToLoad	the name of the class to load (without the .class
	 *                      suffix)
	 * @return	            an object representation of the given class
	 */
	public Object load(String classToLoad) throws Exception {
		return (Class.forName(classToLoad)).newInstance();
	}
}

